local L = LibStub( 'AceLocale-3.0'):GetLocale( 'Producer')
	
local options = {
	type = 'group', name = Producer.localizedname, handler = Producer,
	args = {
		release     = { type = 'description', order = 2,  name = Producer.version, cmdHidden = true, },
		description = { type = 'description', order = 3,  name = L.Description,    cmdHidden = true, },
		space       = { type = 'description', order = 4,  name = '',               cmdHidden = true, },
		enable      = { type = 'toggle', order = 14, name = L.EnabledName, desc = L.EnabledDesc, width = 'full', get = 'IsEnabled',    set = 'ToggleEnabled', },
		version 	= { type = 'toggle', order = 16, name = 'version',     dialogHidden = true, disabled = true, get = 'PrintVersion', set = false, },
		help 		= { type = 'toggle', order = 17, name = 'help',        dialogHidden = true, disabled = true, get = 'PrintHelp',    set = false, },
	},
}

local function OnCommand( input)
	if input and input:trim() ~= '' then
		LibStub( 'AceConfigCmd-3.0'):HandleCommand( 'producer', 'producer', input)
	else
		InterfaceOptionsFrame_OpenToCategory( 'Producer')
	end
end

function Producer:InitConfig()
	options.args.profile = LibStub( 'AceDBOptions-3.0'):GetOptionsTable( self.db)
	options.args.profile.dialogHidden = true
	options.args.profile.dialogInline = true
	LibStub('AceConfig-3.0'):RegisterOptionsTable( 'producer', options)
	local dialog = LibStub( 'AceConfigDialog-3.0')
	dialog:SetDefaultSize( 'Producer', 600, 400)
	dialog:AddToBlizOptions( 'producer', 'Producer')
	dialog:AddToBlizOptions( 'producer', L.Profile,   'Producer', 'profile')
	self:RegisterChatCommand( 'producer', OnCommand)
	self:RegisterChatCommand( 'prod', OnCommand)
	self:RegisterChatCommand( 'pr', OnCommand)
end
